eoVRPStat(3)

NAME
eoVRPStat - Manages the statistics of the VRP problem.

SYNOPSIS

#include <eoVRPStat.h>

Inherits eoStat< eoVRP, double >.

  Public Member Functions
eoVRPStat (std::string _description='eoVRPStat ')
Constructor: initializes variables properly.
void operator() (const eoPop< eoVRP > &_pop)
Gets statistics from a population.
virtual std::string className (void) const
Returns a string containing the name of the class.

Detailed Description

Manages the statistics of the VRP problem.

Definition at line 47 of file eoVRPStat.h.

Constructor & Destructor Documentation

  eoVRPStat::eoVRPStat (std::string _description = 'eoVRPStat ') [inline]

Constructor: initializes variables properly.

Parameters:
    _description A string identifying the class.

Definition at line 56 of file eoVRPStat.h.

Member Function Documentation

  void eoVRPStat::operator() (const eoPop< eoVRP > & _pop) [inline]

Gets statistics from a population.

Parameters:
    _pop The population that will be analyzed.

Definition at line 66 of file eoVRPStat.h.

References eoValueParam< T >::value().

  virtual std::string eoVRPStat::className (void) const [inline, virtual]

Returns a string containing the name of the class.

Used to display statistics.

Returns:
    The string containing the name of the class.

Reimplemented from eoStat< eoVRP, double >.

Definition at line 79 of file eoVRPStat.h.

Author

Generated automatically by Doxygen for CVRP-TW from the source code.